package com.ecep.contract.controller.table;

import java.util.List;
import java.util.Map;

import com.ecep.contract.vm.BaseViewModel;

public interface TableOfTabSkin<K, T, TV extends BaseViewModel<T>> extends TableTabSkin<T, TV> {
    void loadTableDataSet(K parent);

    List<TV> loadTableData(K parent);

    Map<String, Object> getSpecification(K parent);
}
